
 version 0.14DEV (4th release)

-removed r_explosiontype's mode when particles were unaffected by 
 gravity (value 1).
-changed QMB trails slightly: r_rockettrail/r_grenadetrail 1: default
 smoke, 2: darkplaces style colored smoke, 3: Q3 style smoke. So there's no
 gl_q3particles anymore. Also added new (beta version) Q3 style explosion
 sprite for QMB, try gl_part_explosions 2. And gl_part_blood 2 for getting
 Q3 style blood.
-cl_advancedcompletion worked wrong, this has now been fixed.
-sound capturing now works right if host_framerate is changed (slowmo/ffwd).
-Some changes in the states of scr_printstats:
  0 - off
  1 - only time
  2 - time + kills + secrets
  3 - only time, only when action
  4 - time + kills + secrets, only when action
-added mp3 audio compression for avi capturing. Cvar capture_mp3 toggles it, and
 capture_mp3_kbps sets the bitrate (128 by default).
-video capturing is now supported in software JoeQuake too.
-added capture_dir, default is "capture".
-v_gunkick now affects demoplaying as well (thx to Nolan for pointing out).
-raised maximal number of supported video modes from 30 to 128 (my stupidity,
 should've done much earlier).
-added gl_part_spiketrails (to keep Stubby happy).

 version 0.14DEV (3rd release)

-added a cvar called "cl_advancedcompletion" which toggles between
 advanced and normal (old) command/cvar completion (i.e. you can now turn
 advanced completion off). Default is "1" (advanced on).
-gamma changing now possible in windowed mode too with setting
 vid_hwgammacontrol to "2".
-added -22khz and -44khz starting parameters into linux versions.
-gl_smoothfont's default value is 0 from now.
-joequake GLX is finally available!
-alias models (.mdl files) are affected by dynamic lights as well.
-added vertex lighting and texture quality support into video options menu.
-"gl_picmip_all" is now 1 by default.
-added vertex lighting support from AMFQuake, cvar is "gl_vertexlights"
 and its value is "0" by default.
-paramater completion is now working with loadcharset, gl_consolefont and
 crosshairimage commands.
-you can now use "gamma" and "contrast" commands under GL as well to change
 gl_gamma and gl_contrast cvars.

 version 0.14DEV (2nd release)

-stair step ups now really smoothed out, just as the gun's knockback.
-modified a few QMB particle effects, mainly from the AMFQuake engine:
  -changed lavaball trails
  -changed torch's fire
  -nails now throw bubble trails when firing underwater
  -improved shambler's lightning
-added variable "gl_q3particles" to enable q3 style blood and smoke trails
 when using the QMB particles.
-set back automatic startdemos sequence, but not supported by joequake. This
 means that it won't start playing the demos back unless you delete the quake.rc
 from the joequake directory (inside pak0.pak) or use another one with
 startdemos included.
-added "gl_solidparticles" cvar: if your fps lowers when drawing particles, try
 switching this to 1, hopefully it helps.
-added "loadcharset" command and  "gl_consolefont" cvar: now you need to load
 the charsets, they won't automatically be loaded, but you can specify which
 you want to load and also can modify it during the game. Charsets go to
 textures/charsets/ dir.
-got the 72 fps limit to work only when recording demos.
-added "gl_externaltextures_world" and "gl_externaltextures_bmodels" cvars.
 This means you can turn external textures off if you wish and they won't
 automatically be loaded.
-plenty of minor bugfixes.

 version 0.14DEV (first release)

-added "cl_confirmquit" variable, to disable confirmation when exiting the game.
 Default value is "1" (confirmation required).
-Modified the role of "r_shadows" a bit: from now, it changes the transparency
 of the shadow, similarly to r_wateralpha, 1 means non-transparent (opaque black),
 while 0 means fully transparent (no shadow).
-non-multitextured mode (-nomtex) was screwed up, this has now been fixed.
-added "gl_fb_models" and "gl_fb_bmodels" variables to enable/disable fullbright
 textures. I heard that on some video cards fullbright textures could be fucked
 up, so people having this problem can turn fullbrights off.
 The default value is set to "1", for both variables.
-raised maximal number of edicts from 600 to 2048.
-QMB torch flames didn't work properly, this has now been fixed.
-fixed a problem with player models: DME models weren't colormapped as they
 are not regular player.mdl files, but I extended the comparison for them too.

 version 0.13 Final (bugfix release)

-fixed a bug with the player model (it hadn't changed back to default
 player.mdl when it was replaced with something else, like the head model
 in case the player was gibbed).
-fixed messagemode echo bug.
-fixed a bug with security/enforcer lasers (they were red/blue colored when
 they were not supposed to).

 version 0.13 Final (5th release)

-added "cl_maxfps" cvar to customize the maximal fps. Default is "72".
 You can only lower this if you're playing single player or coop.
-added "cl_gibfilter" cvar to avoid gibs. Can be "0" (on) or "1" (off).
-added "cl_deadbodyfilter" cvar to avoid corps. The main reason for this is
 that you are not allowed to use "coop 2" (QdQstats) on maps with only one
 starting spot.
 You can choose between value "1" and "2". At the first case, the dead body is
 to be removed in the last animation frame. At the second case it is removed
 immediately when the monster/player dies. Its value is "0" (off) by default.
-added "getcoords" command. It writes the player's origin into a given file
 or to "camfile.cam" if there was no name given.
-removed blue/red glows from the powerups' models which were hacked onto them
 from the engine side. They're still supported, but only from the progs
 (i.e. the mod) side (meaning EF_BLUE and EF_RED here).
-fixed cl_bobcycle's clipping bug when it was set to "0".
-added recording without demoname (easyrecording). If you don't give a name
 after the "record" command, it'll use a format similar to the following example:
 E1M1-Jan-04-2004-134408.dem - which means that the recording was done on
 E1M1, in the 4th of January 2004, started at 13:44.08 (hours:mins.secs).
-added a new menu called "Maps" into mainmenu. It shows all the available
 maps from your mod directory (if given) and also from your id1/maps dir.
 I think this "id1/maps" is the most common directory for maps for everyone
 but tell me if I'm wrong. It also shows maps from pak files as well.
-added record-after-connecting from ProQuake. Now you can start recording
 without reconnecting to the server.
-fixed chase camera in software version: it only showed the weapon model
 instead of the player, until now.

 version 0.13DEV (4th release)

-added Nehahra support. Use -nehahra at the command line if you want to
 use Nehahra with JoeQuake.
-renamed "dem_rewind" to "cl_demorewind".
-Added particles submenu into the Video Options menu. Now you can set each
 variable the _most_ pleasant way. From the console, you can reach this
 menu via the "menu_particles" command.
-fixed rogue's missing color mapped explosion (my mistake). Also created
 QMB style version of it.
-modified writeconfig command: it's depended on a new cvar called
 "cfg_savevars" which variables will be saved. If cfg_savevars is "0"
 than it saves only archieved vars (regular, as it worked so far). If "1"
 it'll save the ones which have other than default values (i.e. changed).
 And with value "2" it'll save ALL variables.
-integrated ctrl+v (paste) function into the console.
-restored "exec quake.rc" at the beginning, and disabled popping up
 Main Menu automatically.
-renamed "r_ringalpha" to "gl_ringalpha".
-extended underwater QMB smoke trails with bubbles.
 (thanks to sputnikutah@hotmail.com for the idea)
-raised number of chat characters in a message (ProQuake).
-same commands typed in the console won't be saved multiple times.
-"Connected to JoeQuake server" will now only be printed when playing
 mulitplayer game.
-replaced the QMB torch model with a better one, also modified the flames
 to - hopefully - make them look better than before.

 version 0.13DEV (3rd release)

-added NAT support from ProQuake.
-disabled "r_fullbrightskins" for multiplayer.
-added qflood protection from ProQuake.
-renamed "r_r2g" cvar to "cl_r2g".
-removed "gl_colorlights" cvar and added "gl_loadlitfiles". This one only
 denies the static colored lights, but not the dynamic ones.
-added -no24bit command line parameter, you can disable loading those high
 resolution textures if you use this switch.
-added synthetic lag from ProQuake. Cvar is "pq_lag", 0 by default.
-added "rcon" command from ProQuake.
-changing of r_skybox now take effect immediately, w/o restarting the map.
-added "gl_smoothfont" cvar. Now you can turn off this feature.
-added 5 new crosshairs from FuhQuake, and also new variables to configure
 crosshairs even more: crosshairsize, crosshaircolor, crosshairalpha (GL),
 and crosshairimage, with this last one you can load a custom image as crosshair.
-added q3-style bobbing, you can turn it on/off with "cl_bobbing" cvar.
-removed alpha from shadows, they're now full black.
-added precise aiming from Proquake.
-added "scr_printstats_style" cvar: when using with value "1" it replaces
 scr_printstats's HUD numbers with console characters.
-added "cl_clock" cvar which turns on/off the local time. I've built in 4 different
 formats to the values 0, 1, 2 and 3, hopefully you'll find the one that fits the
 best for you (in case you'd like to use this feature). Also added "cl_clock_x" and
 "cl_clock_y": these represent the x and y coordinates of the clock on the screen.
 Play with the values if you aren't satisfied with the default position.
-added the possibilty of changing water caustics from the video options menu.
-added -m_smooth command line parameter: It smoothens your mouse movement even
 more. Use it only with -dinput. Also, set m_rate to the refresh rate of your mouse
 (in Hz). If you don't know this value, you can check it out with m_showrate cvar.
-mission packs' status bars will be updated properly with using their own
 gfx.wad, even when not using -<name> or -game <name> (this means you switch
 to the mission pack folder inside the Demos menu).

 version 0.13DEV (2nd release)

-gamma and contrast changing from menu under GL didn't work, fixed this.
-fixed missing "r_fullbright 1" in GL.
-now, the game doesn't exit after "capturedemo" finished.
-banned cl_truelightning bigger than zero for demorecording.
-now player.mdl has shadow as well.
-dzip extraction now works only with version > 2.5 (v2.9 included in the zip).
-dzip extraction now works from subfolders as well.
-txt file after dzip extraction will be deleted from now (if exists).
-scr_printstats now work also when cl_sbar is 1.
-added "r_ringalpha" cvar. It sets the transparency of your weapon
 model when you're invisible, default is "0.4". Under GL only.
-added linux svgalib support (squake).
-added CAPS LOCK to bindable keys list.
-added "gl_caustics" cvar. It results improved underwater quality.
-fixed strange freezing bug when mission pack was started.
-extended r_rtrail's function: 0 - no trail, 1 - normal trail, 2 - grenade trail, 
 3 - alternative rockettrail (QMB only).
-added "gl_part_flames" cvar. With the help of this you can toggle between
 QMB like torches and normal ones.


 version 0.13DEV (1st release)

 ....see joequake.txt for details

